Skip to main content
Topic: 25L6406E (Read 13439 times) previous topic - next topic

Re: 25L6406E

Reply #15
Quote
hp@hp-HP-Compaq-dc7800p-Ultra-slim-Desktop:~$ flashrom -p buspirate_spi -o logfile.txt
flashrom v0.9.5.2-r1517 on Linux 3.5.0-36-generic (i686), built with libpci 3.1.8, GCC 4.6.3, little endian
flashrom is free software, get the source code at http://www.flashrom.org

flashrom: invalid option -- 'o'
Please run "flashrom --help" for usage info.


Re: 25L6406E

Reply #17
[quote author="maxonsp"]i got this error msg :

Quote
flashrom: invalid option -- 'o'
Please run "flashrom --help" for usage info.
[/quote]

Your flashrom version is too old. It is missing the workarounds for various Bus Pirate firmware bugs, and it can't use the fast command set.
If you have any flashrom problems, please mail flashrom@flashrom.org and include "Bus Pirate" in the subject line. As an alternative, you can send me a private message.
It is recommended to use at least flashrom 0.9.2 or later, and latest flashrom from svn if you want a 3x speedup.